org.apache.ignite.internal.processors.platform.binary

## Class PlatformBinaryProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.binary.PlatformBinaryProcessor

All Implemented Interfaces:
  PlatformTarget

    public class PlatformBinaryProcessor
    extends PlatformAbstractTarget

Platform binary processor.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformBinaryProcessor(PlatformContext platformCtx)` Constructor.

### Method Summary

Methods
`long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInLongOutLong, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutObject, processOutObject, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformBinaryProcessor

    public PlatformBinaryProcessor(PlatformContext platformCtx)

Constructor.

Parameters:
  `platformCtx` - Context.

### Method Detail

#### processInStreamOutLong

    public long processInStreamOutLong(int type,
                              BinaryRawReaderEx reader)
                                throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInStreamOutLong` in interface `PlatformTarget`
Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutStream

    public void processOutStream(int type,
                        BinaryRawWriterEx writer)
                          throws IgniteCheckedException

Process OUT operation.

Specified by:
  `processOutStream` in interface `PlatformTarget`
Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    public void processInStreamOutStream(int type,
                                BinaryRawReaderEx reader,
                                BinaryRawWriterEx writer)
                                  throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutStream` in interface `PlatformTarget`
Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017